function make_copy_normal_eyebrow()
{

    $(normal_right_eyebrow).clone().prop({ id: "first_normal_right_eyebrow" }).appendTo('.face');
    $(normal_left_eyebrow).clone().prop({ id: "first_normal_left_eyebrow" }).appendTo('.face');

    first_normal_right_eyebrow.style.visibility='visible';
    first_normal_left_eyebrow.style.visibility='visible';

    normal_right_eyebrow.style.visibility='hidden';
    normal_left_eyebrow.style.visibility='hidden';

}

function make_copy_happy_eyebrow()
{

    $(happy_right_eyebrow).clone().prop({ id: "first_happy_right_eyebrow" }).appendTo('.face');
    $(happy_left_eyebrow).clone().prop({ id: "first_happy_left_eyebrow" }).appendTo('.face');

    first_happy_right_eyebrow.style.visibility='visible';
    first_happy_left_eyebrow.style.visibility='visible';

    happy_right_eyebrow.style.visibility='hidden';
    happy_left_eyebrow.style.visibility='hidden';

}


function make_copy_surprised_eyebrow()
{

    $(surprised_right_eyebrow).clone().prop({ id: "first_surprised_right_eyebrow" }).appendTo('.face');
    $(surprised_left_eyebrow).clone().prop({ id: "first_surprised_left_eyebrow" }).appendTo('.face');

    first_surprised_right_eyebrow.style.visibility='visible';
    first_surprised_left_eyebrow.style.visibility='visible';

    surprised_right_eyebrow.style.visibility='hidden';
    surprised_left_eyebrow.style.visibility='hidden';

}


//lipsync

function make_copy_lip_t_gh()
{

    $(t_gh_mouth).clone().prop({ id: "first_t_gh_mouth" }).appendTo('.face');
    $(t_gh_teeth_up).clone().prop({ id: "first_t_gh_teeth_up" }).appendTo('.face');
    $(t_gh_no_teeth_up).clone().prop({ id: "first_t_gh_no_teeth_up"  }).appendTo('.face');

    first_t_gh_mouth.style.visibility='visible';
    first_t_gh_teeth_up.style.visibility='visible';
    first_t_gh_no_teeth_up.style.visibility='visible';

    t_gh_mouth.style.visibility='hidden';
    t_gh_teeth_up.style.visibility='hidden';
    t_gh_no_teeth_up.style.visibility='hidden';

    t_gh_mouth.style.visibility='hidden';
    t_gh_teeth_up.style.visibility='hidden';
    t_gh_no_teeth_up.style.visibility='hidden';

}


function make_copy_lip_r()
{

    $(r_mouth).clone().prop({ id: "first_r_mouth" }).appendTo('.face');
    $(r_teeth_up).clone().prop({ id: "first_r_teeth_up" }).appendTo('.face');
    $(r_no_teeth_up).clone().prop({ id: "first_r_no_teeth_up"  }).appendTo('.face');
    $(r_tongue).clone().prop({ id: "first_r_tongue"  }).appendTo('.face');
    $(r_no_tongue).clone().prop({ id: "first_r_no_tongue"  }).appendTo('.face');
    $(r_teeth_down).clone().prop({ id: "first_r_teeth_down"  }).appendTo('.face');
    $(r_no_teeth_down).clone().prop({ id: "first_r_no_teeth_down"  }).appendTo('.face');



    first_r_mouth.style.visibility='visible';
    first_r_teeth_up.style.visibility='visible';
    first_r_no_teeth_up.style.visibility='visible';
    first_r_tongue.style.visibility='visible';
    first_r_no_tongue.style.visibility='visible';
    first_r_teeth_down.style.visibility='visible';
    first_r_no_teeth_down.style.visibility='visible';


    r_mouth.style.visibility='hidden';
    r_no_teeth_up.style.visibility='hidden';
    r_teeth_up.style.visibility='hidden';
    r_tongue.style.visibility='hidden';
    r_no_tongue.style.visibility='hidden';
    r_teeth_down.style.visibility='hidden';
    r_no_teeth_down.style.visibility='hidden';


}


function make_copy_lip_e()
{

    $(e_mouth).clone().prop({ id: "first_e_mouth" }).appendTo('.face');
    $(e_teeth_down).clone().prop({ id: "first_e_teeth_down" }).appendTo('.face');
    $(e_no_teeth_down).clone().prop({ id: "first_e_no_teeth_down"  }).appendTo('.face');

    first_e_mouth.style.visibility='visible';
    first_e_teeth_down.style.visibility='visible';
    first_e_no_teeth_down.style.visibility='visible';

    e_mouth.style.visibility='hidden';
    e_teeth_down.style.visibility='hidden';
    e_no_teeth_down.style.visibility='hidden';

}

function make_copy_lip_ee()
{

    $(ee_mouth).clone().prop({ id: "first_ee_mouth" }).appendTo('.face');
    $(ee_teeth_up).clone().prop({ id: "first_ee_teeth_up" }).appendTo('.face');
    $(ee_no_teeth_up).clone().prop({ id: "first_ee_no_teeth_up"  }).appendTo('.face');

    first_ee_mouth.style.visibility='visible';
    first_ee_teeth_up.style.visibility='visible';
    first_ee_no_teeth_up.style.visibility='visible';

    ee_mouth.style.visibility='hidden';
    ee_teeth_up.style.visibility='hidden';
    ee_no_teeth_up.style.visibility='hidden';

}

function make_copy_lip_b_p()
{

    $(b_p_mouth).clone().prop({ id: "first_b_p_mouth" }).appendTo('.face');

    first_b_p_mouth.style.visibility='visible';

    b_p_mouth.style.visibility='hidden';

}

function make_copy_lip_oo()
{

    $(oo_mouth).clone().prop({ id: "first_oo_mouth" }).appendTo('.face');
    $(oo_chin).clone().prop({ id: "first_oo_chin" }).appendTo('.face');
    $(oo_no_chin).clone().prop({ id: "first_oo_no_chin"  }).appendTo('.face');

    first_oo_mouth.style.visibility='visible';
    first_oo_chin.style.visibility='visible';
	
    oo_mouth.style.visibility='hidden';
    oo_chin.style.visibility='hidden';
    oo_no_chin.style.visibility='hidden';

}

function make_copy_lip_kh()
{

    $(kh_mouth).clone().prop({ id: "first_kh_mouth" }).appendTo('.face');
    $(kh_teeth_up).clone().prop({ id: "first_kh_teeth_up" }).appendTo('.face');
    $(kh_no_teeth_up).clone().prop({ id: "first_kh_no_teeth_up"  }).appendTo('.face');

    first_kh_mouth.style.visibility='visible';
    first_kh_teeth_up.style.visibility='visible';
    first_kh_no_teeth_up.style.visibility='visible';

    kh_mouth.style.visibility='hidden';
    kh_teeth_up.style.visibility='hidden';
    kh_no_teeth_up.style.visibility='hidden';

}

function make_copy_lip_m()
{

    $(m_mouth).clone().prop({ id: "first_m_mouth" }).appendTo('.face');
    $(m_chin).clone().prop({ id: "first_m_chin" }).appendTo('.face');
    $(m_no_chin).clone().prop({ id: "first_m_no_chin"  }).appendTo('.face');

    first_m_mouth.style.visibility='visible';
    first_m_chin.style.visibility='visible';
	
    m_mouth.style.visibility='hidden';
    m_chin.style.visibility='hidden';
    m_no_chin.style.visibility='hidden';

}

function make_copy_lip_aa()
{

    $(aa_mouth).clone().prop({ id: "first_aa_mouth" }).appendTo('.face');
    $(aa_teeth_up).clone().prop({ id: "first_aa_teeth_up" }).appendTo('.face');
    $(aa_no_teeth_up).clone().prop({ id: "first_aa_no_teeth_up"  }).appendTo('.face');

    first_aa_mouth.style.visibility='visible';
    first_aa_teeth_up.style.visibility='visible';
    first_aa_no_teeth_up.style.visibility='visible';

    aa_mouth.style.visibility='hidden';
    aa_teeth_up.style.visibility='hidden';
    aa_no_teeth_up.style.visibility='hidden';

}

function make_copy_lip_n_l()
{

    $(n_l_mouth).clone().prop({ id: "first_n_l_mouth" }).appendTo('.face');
    $(n_l_teeth_up).clone().prop({ id: "first_n_l_teeth_up" }).appendTo('.face');
    $(n_l_no_teeth_up).clone().prop({ id: "first_n_l_no_teeth_up"  }).appendTo('.face');
    $(n_l_tongue_part1).clone().prop({ id: "first_n_l_tongue_part1"  }).appendTo('.face');
    $(n_l_no_tongue_part1).clone().prop({ id: "first_n_l_no_tongue_part1"  }).appendTo('.face');
    $(n_l_tongue_part2).clone().prop({ id: "first_n_l_tongue_part2"  }).appendTo('.face');
    $(n_l_no_tongue_part2).clone().prop({ id: "first_n_l_no_tongue_part2"  }).appendTo('.face');



    first_n_l_mouth.style.visibility='visible';
    first_n_l_teeth_up.style.visibility='visible';
    first_n_l_no_teeth_up.style.visibility='visible';
    first_n_l_tongue_part1.style.visibility='visible';
    first_n_l_no_tongue_part1.style.visibility='visible';
    first_n_l_tongue_part2.style.visibility='visible';
    first_n_l_no_tongue_part2.style.visibility='visible';


    n_l_mouth.style.visibility='hidden';
    n_l_teeth_up.style.visibility='hidden';
    n_l_no_teeth_up.style.visibility='hidden';
    n_l_tongue_part1.style.visibility='hidden';
    n_l_no_tongue_part1.style.visibility='hidden';
    n_l_tongue_part2.style.visibility='hidden';
    n_l_no_tongue_part2.style.visibility='hidden';
}

function make_copy_lip_a()
{

    $(a_mouth).clone().prop({ id: "first_a_mouth" }).appendTo('.face');
    $(a_teeth_up).clone().prop({ id: "first_a_teeth_up" }).appendTo('.face');
    $(a_no_teeth_up).clone().prop({ id: "first_a_no_teeth_up"  }).appendTo('.face');

    first_a_mouth.style.visibility='visible';
    first_a_teeth_up.style.visibility='visible';
    first_a_no_teeth_up.style.visibility='visible';

    a_mouth.style.visibility='hidden';
    a_teeth_up.style.visibility='hidden';
    a_no_teeth_up.style.visibility='hidden';

}

function make_copy_lip_s()
{

    $(s_mouth).clone().prop({ id: "first_s_mouth" }).appendTo('.face');
    $(s_teeth_up).clone().prop({ id: "first_s_teeth_up" }).appendTo('.face');
    $(s_no_teeth_up).clone().prop({ id: "first_s_no_teeth_up"  }).appendTo('.face');
    $(s_teeth_down).clone().prop({ id: "first_s_teeth_down" }).appendTo('.face');
    $(s_no_teeth_down).clone().prop({ id: "first_s_no_teeth_down" }).appendTo('.face');

    first_s_mouth.style.visibility='visible';
    first_s_teeth_up.style.visibility='visible';
    first_s_no_teeth_up.style.visibility='visible';
    first_s_teeth_down.style.visibility='visible';
    first_s_no_teeth_down.style.visibility='visible';

    s_mouth.style.visibility='hidden';
    s_teeth_up.style.visibility='hidden';
    s_no_teeth_up.style.visibility='hidden';
    s_teeth_down.style.visibility='hidden';
    s_no_teeth_down.style.visibility='hidden';

}

//=======================================lipsync

function make_copy_nl()
{

    $(normal_mouth).clone().prop({ id: "first_nl_mouth"  }).appendTo('.face');
    $(happy_teeth_up).clone().prop({ id: "first_nl_teeth"  }).appendTo('.face');

    first_nl_mouth.style.visibility='visible';
    first_nl_teeth.style.visibility='visible';

    normal_mouth.style.visibility='hidden';
    happy_teeth_up.style.visibility='hidden';
}





//============================================================
function n_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

} 
//====================================================================
var callback_lip_s_2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    //$("#f_s_teeth_down").remove();
    $("#no_teeth_s_down").remove();
    key_w=1;
}
//===========================================================
    $("#s_no_teeth_down").clone().prop({ id: "no_teeth_s_down"  }).appendTo('.face');
    no_teeth_s_down.style.visibility='visible';

    var mouth = KUTE.to('#first_nl_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true, reverseFirstPath: false  , complete:callback_lip_s_2});

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_1  });

    var teeth_down = KUTE.to('#no_teeth_s_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_1  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

function lip_s_to_lip_a()
{
var callback_lip_a_1=function(){

    a_mouth.style.visibility='visible';
    a_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_a_2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_s_teeth_down").remove();
    $("#first_s_no_teeth_down").remove();
    s_mouth.style.visibility='hidden';
    s_teeth_up.style.visibility='hidden';
    s_no_teeth_up.style.visibility='hidden';
    s_teeth_down.style.visibility='hidden';
    s_no_teeth_down.style.visibility='hidden';

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_s_mouth', {path: '#a_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:190, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#a_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_a_1  });

    var teeth_down = KUTE.to('#first_s_teeth_down', {path: '#s_no_teeth_down' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_a_2  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}





function lip_s_to_lip_n_l()
{
var callback_lip_s_n_l1=function(){

    n_l_mouth.style.visibility ='visible';
    n_l_teeth_up.style.visibility ='visible';
    n_l_tongue_part1.style.visibility ='visible';
    //n_l_tongue_part2.style.visibility ='visible';
    //sec_lip_s_no_teeth_down.style.visibility='visible';
}
//====================================================================
var callback_lip_s_n_l2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_s_no_teeth_down").remove();
    $("#first_s_teeth_down").remove();
    $("#no_tongue_part1").remove();



   // $("#first_tongue_part1").remove();
    //$("#no_tongue_part1").remove();
    //$("#first_tongue_part2").remove();
    //$("#no_tongue_part2").remove();

    //a_mouth.style.visibility='hidden';
    //a_teeth_up.style.visibility='hidden';
    //a_no_teeth_up.style.visibility='hidden';
    key_w=1;
}
//===========================================================
    $("#n_l_no_tongue_part1").clone().prop({ id: "no_tongue_part1"  }).appendTo('.face');
    no_tongue_part1.style.visibility='visible';
    first_s_no_teeth_down.style.visibility='hidden';


    //$("#n_l_no_tongue_part2").clone().prop({ id: "no_tongue_part2"  }).appendTo('.face');
    //no_tongue_part2.style.visibility='visible';


    var mouth = KUTE.to('#first_s_mouth', {path: '#n_l_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:52, morphPrecision:1, reverseSecondPath:true , reverseFirstPath: true });

    var teeth_down = KUTE.to('#first_s_teeth_down', {path: '#first_s_no_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:120, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#n_l_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:120, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_n_l1  });

    var tongue_part1 = KUTE.to('#no_tongue_part1', {path: '#n_l_tongue_part1' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_s_n_l2  });

    //var tongue_part2 = KUTE.to('#no_tongue_part2', {path: '#n_l_tongue_part2' }, {
    //duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_n_l_2  });

    mouth.start();
    teeth_up.start();
    tongue_part1.start();
    teeth_down.start();

}



function lip_a_to_lip_n_l()
{
var callback_lip_n_l_1=function(){

    n_l_mouth.style.visibility='visible';
    n_l_teeth_up.style.visibility='visible';
    n_l_tongue_part1.style.visibility='visible';
    n_l_tongue_part2.style.visibility='visible';
    //sec_lip_s_no_teeth_down.style.visibility='visible';
}
//====================================================================
var callback_lip_n_l_2=function(){
    $("#first_a_mouth").remove();
    $("#first_a_teeth_up").remove();
    $("#first_a_no_teeth_up").remove();
   // $("#first_tongue_part1").remove();
    $("#no_tongue_part1").remove();
    //$("#first_tongue_part2").remove();
    $("#no_tongue_part2").remove();

    a_mouth.style.visibility='hidden';
    a_teeth_up.style.visibility='hidden';
    a_no_teeth_up.style.visibility='hidden';
    key_w=1;
}
//===========================================================
    $("#n_l_no_tongue_part1").clone().prop({ id: "no_tongue_part1"  }).appendTo('.face');
    no_tongue_part1.style.visibility='visible';

    $("#n_l_no_tongue_part2").clone().prop({ id: "no_tongue_part2"  }).appendTo('.face');
    no_tongue_part2.style.visibility='visible';


    var mouth = KUTE.to('#first_a_mouth', {path: '#n_l_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:52, morphPrecision:1, reverseSecondPath:true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_a_teeth_up', {path: '#n_l_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:120, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue_part1 = KUTE.to('#no_tongue_part1', {path: '#n_l_tongue_part1' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_n_l_1  });

    var tongue_part2 = KUTE.to('#no_tongue_part2', {path: '#n_l_tongue_part2' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_n_l_2  });

    mouth.start();
    teeth_up.start();
    tongue_part1.start();
    tongue_part2.start();

}


function lip_n_l_to_lip_aa()
{
var callback_lip_aa_1=function(){

    aa_mouth.style.visibility='visible';
    aa_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_aa_2=function(){
    $("#first_n_l_mouth").remove();
    $("#first_n_l_teeth_up").remove();
    $("#first_n_l_no_teeth_up").remove();
    $("#first_n_l_no_tongue_part1").remove();
    $("#first_n_l_tongue_part1").remove();
    $("#first_n_l_no_tongue_part2").remove();
    $("#first_n_l_tongue_part2").remove();

    n_l_mouth.style.visibility='hidden';
    n_l_teeth_up.style.visibility='hidden';
    n_l_no_teeth_up.style.visibility='hidden';
    n_l_tongue_part1.style.visibility='hidden';
    n_l_no_tongue_part1.style.visibility='hidden';
    n_l_tongue_part2.style.visibility='hidden';
    n_l_no_tongue_part2.style.visibility='hidden';


    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_n_l_mouth', {path: '#aa_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:70, morphPrecision:1, reverseSecondPath:true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_n_l_teeth_up', {path: '#aa_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue_part1 = KUTE.to('#first_n_l_tongue_part1', {path: '#n_l_no_tongue_part1' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_aa_1  });

    var tongue_part2 = KUTE.to('#first_n_l_tongue_part2', {path: '#n_l_no_tongue_part2' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_aa_2  });

    mouth.start();
    teeth_up.start();
    tongue_part1.start();
    tongue_part2.start();

}

function lip_aa_to_lip_m()
{
var callback_lip_m_1=function(){

    m_mouth.style.visibility='visible';
    m_chin.style.visibility='visible';

}
//====================================================================
var callback_lip_m_2=function(){
    $("#first_aa_mouth").remove();
    $("#first_aa_teeth_up").remove();
    $("#first_aa_no_teeth_up").remove();
    $("#first_mm_no_chin").remove();

    aa_mouth.style.visibility='hidden';
    aa_teeth_up.style.visibility='hidden';
    aa_no_teeth_up.style.visibility='hidden';
    key_w=1;
}
//===========================================================
    $("#m_no_chin").clone().prop({ id: "first_mm_no_chin"  }).appendTo('.face');
    first_mm_no_chin.style.visibility='visible';

    aa_mouth.style.visibility='hidden';
    aa_teeth_up.style.visibility='hidden';
    aa_no_teeth_up.style.visibility='hidden';


    var mouth = KUTE.to('#first_aa_mouth', {path: '#m_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:103, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_m_1});

    var teeth_up = KUTE.to('#first_aa_teeth_up', {path: '#aa_no_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var chin = KUTE.to('#first_mm_no_chin', {path: '#m_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_m_2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_n_l_to_lip_m()
{
var callback_lip_n_l_m1=function(){

    m_mouth.style.visibility='visible';
    m_chin.style.visibility='visible';

}
//====================================================================
var callback_lip_n_l_m2=function(){
    $("#first_n_l_mouth").remove();
    $("#first_n_l_teeth_up").remove();
    $("#first_n_l_no_teeth_up").remove();
    $("#first_n_l_tongue_part1").remove();
    $("#first_n_l_tongue_part2").remove();
    $("#first_n_l_no_tongue_part1").remove();
    $("#first_n_l_no_tongue_part2").remove();
    $("#first_mm_no_chin").remove();



    //aa_mouth.style.visibility='hidden';
    //aa_teeth_up.style.visibility='hidden';
    //aa_no_teeth_up.style.visibility='hidden';
    key_w=1;
}
//===========================================================
    $("#m_no_chin").clone().prop({ id: "first_mm_no_chin"  }).appendTo('.face');
    first_mm_no_chin.style.visibility='visible';
      first_n_l_tongue_part2.style.visibility='hidden'
    //aa_mouth.style.visibility='hidden';
    //aa_teeth_up.style.visibility='hidden';
    //aa_no_teeth_up.style.visibility='hidden';


    var mouth = KUTE.to('#first_n_l_mouth', {path: '#m_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:103, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_lip_n_l_m1});

    var teeth_up = KUTE.to('#first_n_l_teeth_up', {path: '#n_l_no_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue = KUTE.to('#first_n_l_tongue_part1', {path: '#n_l_no_tongue_part1' }, {
    duration:100 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var chin = KUTE.to('#first_mm_no_chin', {path: '#m_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_n_l_m2  });

    mouth.start();
    teeth_up.start();
    chin.start();
    tongue.start();

}


function lip_m_to_n()
{
var callback_lip_nn_1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#no_teeth_up").remove();
    $("#first_m_chin").remove();
    m_mouth.style.visibility='hidden';
    m_chin.style.visibility='hidden';
    m_no_chin.style.visibility='hidden';

    key_w=1;
}
//===========================================================
    $("#happy_no_teeth_up").clone().prop({ id: "no_teeth_up"  }).appendTo('.face');
    no_teeth_up.style.visibility='visible';

    aa_mouth.style.visibility='hidden';
    aa_teeth_up.style.visibility='hidden';
    aa_no_teeth_up.style.visibility='hidden';


    var mouth = KUTE.to('#first_m_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:143, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false});

    var teeth_up = KUTE.to('#no_teeth_up', {path: '#happy_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {path: '#first_m_no_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_nn_2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}

function nl_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_nl_kh2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    $("#first_nl_no_teeth_up").remove();
    $("#first_kh_no_teeth_down").remove();
    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_nl_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function lip_kh_to_lip_oo()
{
var callback_lip_kh_oo1=function(){

    oo_mouth.style.visibility='visible';
    oo_chin.style.visibility='visible';

}
//====================================================================
var callback_lip_kh_oo2=function(){
    $("#first_kh_mouth").remove();
    $("#first_kh_teeth_up").remove();
    $("#first_kh_no_teeth_up").remove();
    $("#first_chin").remove();
    kh_mouth.style.visibility='hidden';
    kh_teeth_up.style.visibility='hidden';
    kh_no_teeth_up.style.visibility='hidden';

    key_w=1;
}
//===========================================================
    $("#oo_no_chin").clone().prop({ id: "first_chin"  }).appendTo('.face');
    first_chin.style.visibility='visible';

    var mouth = KUTE.to('#first_kh_mouth', {path: '#oo_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:190, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_kh_teeth_up', {path: '#kh_no_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_kh_oo1  });

    var chin = KUTE.to('#first_chin', {path: '#oo_chin' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_kh_oo2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}


function lip_oo_to_lip_b_p()
{
var callback_lip_oo_b_p1=function(){

    b_p_mouth.style.visibility='visible';

}
//====================================================================
var callback_lip_oo_b_p2=function(){
    $("#first_oo_mouth").remove();
    $("#first_oo_no_teeth_up").remove();
    $("#first_oo_chin").remove();

    oo_mouth.style.visibility='hidden';
    oo_chin.style.visibility='hidden';
    oo_no_chin.style.visibility='hidden';

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_oo_mouth', {path: '#b_p_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:253, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_oo_b_p1 });

    var chin = KUTE.to('#first_oo_chin', {path: '#oo_no_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_oo_b_p2 });


    mouth.start();
    chin.start();

}



function lip_b_p_to_lip_ee()
{
var callback_lip_b_p_ee1=function(){

    ee_mouth.style.visibility='visible';
    ee_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_b_p_ee2=function(){
    $("#first_b_p_mouth").remove();
    $("#first_no_teeth_up").remove();
    b_p_mouth.style.visibility='hidden';

    key_w=1;
}
//===========================================================
    $("#ee_no_teeth_up").clone().prop({ id: "first_no_teeth_up"  }).appendTo('.face');
    first_no_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_b_p_mouth', {path: '#ee_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:100, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_b_p_ee1 });

    var chin = KUTE.to('#first_no_teeth_up', {path: '#ee_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_b_p_ee2 });

    mouth.start();
    chin.start();

}

function lip_ee_to_n()
{
var callback_lip_ee_normal1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';

    ee_no_teeth_up.style.visibility='hidden';
    ee_mouth.style.visibility='hidden';
    ee_teeth_up.style.visibility='hidden';
}
//====================================================================
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();
    $("#first_ee_no_teeth_up").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_ee_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#happy_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}


function nl_to_lip_e()
{
var callback_lip_nl_e1=function(){

    e_mouth.style.visibility='visible';
    e_teeth_down.style.visibility='visible';
}
//====================================================================
var callback_lip_nl_e2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    $("#first_e_no_teeth_down").remove();
    key_w=1;
}
//===========================================================
    $(e_no_teeth_down).clone().prop({ id: "first_e_no_teeth_down"  }).appendTo('.face');
    first_e_no_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_nl_mouth', {path: '#e_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_nl_e1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#happy_no_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_e2  });

    var teeth_down = KUTE.to('#first_e_no_teeth_down', {path: '#e_teeth_down' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}


function lip_e_to_lip_s()
{
var callback_lip_e_s1=function(){

    s_mouth.style.visibility='visible';
    s_teeth_down.style.visibility='visible';
    s_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_e_s2=function(){
    $("#first_e_mouth").remove();
    $("#first_no_teeth_up").remove();
    $("#first_e_teeth_down").remove();
    $("#first_e_no_teeth_down").remove();

    key_w=1;
}
//===========================================================
    $(s_no_teeth_up).clone().prop({ id: "first_no_teeth_up"  }).appendTo('.face');
    first_no_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_e_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:120, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_e_s1 });

    var teeth_down = KUTE.to('#first_e_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_e_s2  });

    var teeth_up = KUTE.to('#first_no_teeth_up', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}

function lip_s_to_lip_m()
{
var callback_lip_s_m1=function(){

    m_mouth.style.visibility='visible';
    m_chin.style.visibility='visible';
}
//====================================================================
var callback_lip_s_m2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_teeth_down").remove();
    $("#first_s_no_teeth_down").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_mm_no_chin").remove();

    key_w=1;
}
//===========================================================
    $("#m_no_chin").clone().prop({ id: "first_mm_no_chin"  }).appendTo('.face');
    first_mm_no_chin.style.visibility='visible';


    var mouth = KUTE.to('#first_s_mouth', {path: '#m_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:130, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_s_m1});

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#s_no_teeth_up' }, {
    duration:100 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var teeth_down = KUTE.to('#first_s_teeth_down', {path: '#s_no_teeth_down' }, {
    duration:100 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var chin = KUTE.to('#first_mm_no_chin', {path: '#m_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_s_m2  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
    chin.start();

}


function lip_m_to_lip_e()
{
var callback_lip_m_e1=function(){

    e_mouth.style.visibility='visible';
    e_teeth_down.style.visibility='visible';
}
//====================================================================
var callback_lip_m_e2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth").remove();
    $("#first_m_chin").remove();
    $("#first_m_no_chin").remove();

    m_no_chin.style.visibility='hidden';

    key_w=1;
}
//===========================================================
    $("#e_no_teeth_down").clone().prop({ id: "first_teeth"  }).appendTo('.face');
    first_teeth.style.visibility='visible';


    var mouth = KUTE.to('#first_m_mouth', {path: '#e_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:30, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_m_e1});

    var teeth_down = KUTE.to('#first_teeth', {path: '#e_teeth_down' }, {
    duration:time1 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var chin = KUTE.to('#first_m_chin', {path: '#m_no_chin' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_m_e2  });

    mouth.start();
    teeth_down.start();
    chin.start();

}


function lip_e_to_nl()
{
var callback_lip_e_nl1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_e_nl2=function(){
    $("#first_e_mouth").remove();
    $("#first_e_teeth_down").remove();
    $("#no_teeth_up").remove();
    $("#first_e_no_teeth_down").remove();

    key_w=1;
}
//===========================================================
    $("#happy_no_teeth_up").clone().prop({ id: "no_teeth_up"  }).appendTo('.face');
    no_teeth_up.style.visibility='visible';


    var mouth = KUTE.to('#first_e_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:60, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_e_nl1});

    var teeth_down = KUTE.to('#first_e_teeth_down', {path: '#e_no_teeth_down' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var teeth_up = KUTE.to('#no_teeth_up', {path: '#happy_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_e_nl2  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}

function nl_to_lip_m()
{
var callback_lip_nl_m1=function(){

    m_mouth.style.visibility='visible';
    m_chin.style.visibility='visible';

}
//====================================================================
var callback_lip_nl_m2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    $("#first_no_chin").remove();
    key_w=1;
}
//===========================================================
    $("#m_no_chin").clone().prop({ id: "first_no_chin"  }).appendTo('.face');
    first_no_chin.style.visibility='visible';

    var mouth = KUTE.to('#first_nl_mouth', {path: '#m_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:140, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_nl_m1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#happy_no_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_m2  });

    var chin = KUTE.to('#first_no_chin', {path: '#m_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1 });

    mouth.start();
    teeth_up.start();
    chin.start();

}


function lip_m_to_lip_a()
{
var callback_lip_m_a1=function(){

    a_mouth.style.visibility='visible';
    a_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_m_a2=function(){
    $("#first_m_mouth").remove();
    $("#no_teeth_up").remove();
    $("#first_m_chin").remove();
    $("#first_m_no_chin").remove();

    key_w=1;
}
//===========================================================
    $("#happy_no_teeth_up").clone().prop({ id: "no_teeth_up"  }).appendTo('.face');
    no_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#a_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:30, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false});

    var teeth_up = KUTE.to('#no_teeth_up', {path: '#aa_teeth_up' }, {
    duration:time1 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_m_a1 });

    var chin = KUTE.to('#first_m_chin', {path: '#first_m_no_chin' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_m_a2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}



function lip_n_l_to_nl()
{
var callback_lip_n_l_nl1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_n_l_nl2=function(){
    $("#first_n_l_mouth").remove();
    $("#first_n_l_tongue_part1").remove();
    $("#first_n_l_teeth_up").remove();
    $("#first_n_l_tongue_part2").remove();
    $("#first_n_l_no_teeth_up").remove();
    $("#first_n_l_no_tongue_part2").remove();
    $("#first_n_l_no_tongue_part1").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_n_l_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:250, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_n_l_nl1});

    var tongue_part1 = KUTE.to('#first_n_l_tongue_part1', {path: '#n_l_no_tongue_part1' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue_part2 = KUTE.to('#first_n_l_tongue_part2', {path: '#n_l_no_tongue_part2' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var teeth_up = KUTE.to('#first_n_l_teeth_up', {path: '#happy_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_n_l_nl2  });

    mouth.start();
    teeth_up.start();
    tongue_part1.start();
    tongue_part2.start();
}


function nl_to_lip_r()
{
var callback_lip_nl_r1=function(){

    r_mouth.style.visibility='visible';
    r_teeth_up.style.visibility='visible';
    r_teeth_down.style.visibility='visible';
    r_tongue.style.visibility='visible';
}
//====================================================================
var callback_lip_nl_r2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    $("#first_no_teeth_down").remove();
    $("#first_no_tongue").remove();

    key_w=1;
}
//===========================================================
    $("#r_no_teeth_down").clone().prop({ id: "first_no_teeth_down"  }).appendTo('.face');
    first_no_teeth_down.style.visibility='visible';

    $("#r_no_tongue").clone().prop({ id: "first_no_tongue"  }).appendTo('.face');
    first_no_tongue.style.visibility='visible';

    var mouth = KUTE.to('#first_nl_mouth', {path: '#r_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:5, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_nl_r1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#r_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_r2  });

    var teeth_down = KUTE.to('#first_no_teeth_down', {path: '#r_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_r2  });

    var tongue = KUTE.to('#first_no_tongue', {path: '#r_tongue' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1 });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
    tongue.start();

}


function lip_r_to_lip_a()
{
var callback_lip_r_a1=function(){

    a_mouth.style.visibility='visible';
    a_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_r_a2=function(){
    $("#first_r_mouth").remove();
    $("#first_r_teeth_up").remove();
    $("#first_r_no_teeth_up").remove();

    $("#first_r_teeth_down").remove();
    $("#first_r_no_teeth_down").remove();

    $("#first_r_no_tongue").remove();
    $("#first_r_tongue").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_r_mouth', {path: '#a_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:50, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_r_a1 });

    var teeth_up = KUTE.to('#first_r_teeth_up', {path: '#a_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_r_a2  });

    var teeth_down = KUTE.to('#first_r_teeth_down', {path: '#r_no_teeth_down' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue = KUTE.to('#first_r_tongue', {path: '#r_no_tongue' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1 });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
    tongue.start();

}


function lip_a_to_lip_s()
{
var callback_lip_a_s1=function(){

    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';
}
//====================================================================
var callback_lip_a_s2=function(){
    $("#first_a_mouth").remove();
    $("#first_a_teeth_up").remove();
    $("#first_a_no_teeth_up").remove();

    $("#first_no_teeth_down").remove();
    key_w=1;
}
//===========================================================
    $("#s_no_teeth_down").clone().prop({ id: "first_no_teeth_down"  }).appendTo('.face');
    first_no_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_a_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:190, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_a_s1 });

    var teeth_up = KUTE.to('#first_a_teeth_up', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_a_s2  });

    var teeth_down = KUTE.to('#first_no_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}

function lip_s_to_lip_aa()
{
var callback_lip_s_aa1=function(){

    aa_mouth.style.visibility='visible';
    aa_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_s_aa2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_s_teeth_down").remove();
    $("#first_s_no_teeth_down").remove();
    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_s_mouth', {path: '#aa_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#aa_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_aa1  });

    var teeth_down = KUTE.to('#first_s_teeth_down', {path: '#s_no_teeth_down' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_s_aa2  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}


function lip_a_to_lip_t_gh()
{
var callback_lip_a_t_gh1=function(){

    t_gh_mouth.style.visibility='visible';
    t_gh_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_a_t_gh2=function(){
    $("#first_a_mouth").remove();
    $("#first_a_teeth_up").remove();
    $("#first_a_no_teeth_up").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_a_mouth', {path: '#t_gh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:95, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_a_t_gh1});

    var teeth_up = KUTE.to('#first_a_teeth_up', {path: '#t_gh_teeth_up' }, {
    duration: time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_a_t_gh2  });

    mouth.start();
    teeth_up.start();
}


function lip_aa_to_nl()
{
var callback_lip_aa_nl1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_aa_nl2=function(){
    $("#first_aa_mouth").remove();
    $("#first_aa_teeth_up").remove();
    $("#first_aa_no_teeth_up").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_aa_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:95, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_aa_nl1});

    var teeth_up = KUTE.to('#first_aa_teeth_up', {path: '#happy_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_aa_nl2  });

    mouth.start();
    teeth_up.start();
}


function nl_to_lip_a()
{
var callback_lip_nl_a1=function(){

    a_mouth.style.visibility='visible';
    a_teeth_up.style.visibility='visible';
}
//====================================================================
var callback_lip_nl_a2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    $("#first_e_no_teeth_down").remove();

    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_nl_mouth', {path: '#a_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:65, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_nl_a1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#a_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_a2  });

    mouth.start();
    teeth_up.start();

}


function lip_s_to_lip_t_gh()
{
var callback_lip_s_t_gh1=function(){

    t_gh_mouth.style.visibility='visible';
    t_gh_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_s_t_gh2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_s_teeth_down").remove();
    $("#first_s_no_teeth_down").remove();

    key_w=1;
}
//===========================================================

    var mouth = KUTE.to('#first_s_mouth', {path: '#t_gh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:85, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false });

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#t_gh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_t_gh1  });

    var teeth_down = KUTE.to('#first_s_teeth_down', {path: '#s_no_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_s_t_gh2  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}


function lip_t_gh_to_nl()
{
var callback_lip_t_gh_nl1=function(){

    normal_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_t_gh_nl2=function(){
    $("#first_t_gh_mouth").remove();
    $("#first_t_gh_teeth_up").remove();
    $("#first_t_gh_no_teeth_up").remove();


    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_t_gh_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:279, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_t_gh_nl1});

    var teeth_up = KUTE.to('#first_t_gh_teeth_up', {path: '#happy_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_t_gh_nl2 });

    mouth.start();
    teeth_up.start();

}

function lip_t_gh_to_lip_ee()
{
var callback_lip_t_gh_ee1=function(){

    ee_mouth.style.visibility='visible';
    ee_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_t_gh_ee2=function(){
    $("#first_t_gh_mouth").remove();
    $("#first_t_gh_teeth_up").remove();
    $("#first_t_gh_no_teeth_up").remove();


    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_t_gh_mouth', {path: '#ee_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:279, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_t_gh_ee1});

    var teeth_up = KUTE.to('#first_t_gh_teeth_up', {path: '#ee_teeth_up' }, {
    duration:time1 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_t_gh_ee2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_lip_t_gh()
{
var callback_lip_ee_t_gh1=function(){

    t_gh_mouth.style.visibility='visible';
    t_gh_teeth_up.style.visibility='visible';

}
//====================================================================
var callback_lip_ee_t_gh2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();
    $("#first_ee_no_teeth_up").remove();


    key_w=1;
}
//===========================================================
    var mouth = KUTE.to('#first_ee_mouth', {path: '#t_gh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:279, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true, complete:callback_lip_ee_t_gh1});

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#t_gh_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_ee_t_gh2 });

    mouth.start();
    teeth_up.start();

}



function lip_oo_to_lip_s()
{
var callback_lip_oo_s1=function(){

    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//====================================================================
var callback_lip_oo_s2=function(){
    $("#first_oo_mouth").remove();
    $("#first_oo_chin").remove();
    $("#first_oo_no_chin").remove();
    $("#first_s_no_teeth_up").remove();
    $("#first_s_no_teeth_down").remove();


    key_w=1;
}
//===========================================================
    $(s_no_teeth_up).clone().prop({ id: "first_s_no_teeth_up" }).appendTo('.face');
    $(s_no_teeth_down).clone().prop({ id: "first_s_no_teeth_down" }).appendTo('.face');

    first_s_no_teeth_up.style.visibility='visible'
    first_s_no_teeth_down.style.visibility='visible'


    var mouth = KUTE.to('#first_oo_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:185, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false });

    var teeth_up = KUTE.to('#first_s_no_teeth_up', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_oo_s1  });

    var teeth_down = KUTE.to('#first_s_no_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_oo_s2  });

    var chin = KUTE.to('#first_oo_chin', {path: '#oo_no_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false });

    mouth.start();
    chin.start();
    teeth_up.start();
    teeth_down.start();

}



function normal_to_happy_eyebrow()
{
var callback_eyebrow_n_to_h1=function(){

    happy_right_eyebrow.style.visibility='visible';
    happy_left_eyebrow.style.visibility='visible';

}
//====================================================================
var callback_eyebrow_n_to_h2=function(){
    $("#first_normal_right_eyebrow").remove();
    $("#first_normal_left_eyebrow").remove();


    key_w=1;
}
//===========================================================


    var right = KUTE.to('#first_normal_right_eyebrow', {path: '#happy_right_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_n_to_h1});

    var left = KUTE.to('#first_normal_left_eyebrow', {path: '#happy_left_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_n_to_h2});

    right.start();
    left.start();

}


function happy_to_normal_eyebrow()
{
var callback_eyebrow_h_to_n1=function(){

    normal_right_eyebrow.style.visibility='visible';
    normal_left_eyebrow.style.visibility='visible';

}
//====================================================================
var callback_eyebrow_h_to_n2=function(){
    $("#first_happy_right_eyebrow").remove();
    $("#first_happy_left_eyebrow").remove();


    key_w=1;
}
//===========================================================


    var right = KUTE.to('#first_happy_right_eyebrow', {path: '#normal_right_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_h_to_n1});

    var left = KUTE.to('#first_happy_left_eyebrow', {path: '#normal_left_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_h_to_n2});

    right.start();
    left.start();

}

function eyebrow_to_khubi()
{
var callback_eyebrow_to_khubi1=function(){

    surprised_right_eyebrow.style.visibility='visible';
    happy_left_eyebrow.style.visibility='visible';

}
//====================================================================
var callback_eyebrow_to_khubi2=function(){
    $("#first_normal_right_eyebrow").remove();
    $("#first_normal_left_eyebrow").remove();


    key_w=1;
}
//===========================================================


    var right = KUTE.to('#first_normal_right_eyebrow', {path: '#surprised_right_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_to_khubi1});

    var left = KUTE.to('#first_normal_left_eyebrow', {path: '#happy_left_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_to_khubi2});

    right.start();
    left.start();

}


function eyebrow_from_khubi()
{
var callback_eyebrow_from_khubi1=function(){

    normal_right_eyebrow.style.visibility='visible';
    normal_left_eyebrow.style.visibility='visible';

}
//====================================================================
var callback_eyebrow_from_khubi2=function(){
    $("#first_happy_right_eyebrow").remove();
    $("#first_happy_left_eyebrow").remove();

    $("#first_surprised_right_eyebrow").remove();
    $("#first_surprised_left_eyebrow").remove();


    key_w=1;
}
//===========================================================
    first_surprised_left_eyebrow.style.visibility='hidden'
    first_happy_right_eyebrow.style.visibility='hidden'

    var right = KUTE.to('#first_surprised_right_eyebrow', {path: '#normal_right_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_from_khubi1});

    var left = KUTE.to('#first_happy_left_eyebrow', {path: '#normal_left_eyebrow' }, {
    duration: time2, easing: 'easingExponential', morphIndex:113, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_eyebrow_from_khubi2});

    right.start();
    left.start();

}
